# Help | tablefilter v0.5.3 API Document

    import {Help} from 'tablefilter/src/modules/help.js'

public class | source

# Help

#### Extends:

Feature → Help

Help UI component

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter) Creates an instance of Help |

## Member Summary

Public Members
public | btn : DOMElement Button DOM element |
public | btnCssClass : String Css class for help button |
public | btnHtml : String Custom help button HTML |
public | btnText : String Help button text ('?') |
public | cont : DOMElement Help container DOM element |
public | contCssClass : String Css class for help container element |
public | contTgtId : String ID of custom container element for instructions |
public | defaultHtml : String Default HTML appended to instructions text |
public | initialized : boolean |
public | instrHtml : String Instructions HTML |
public | instrText : String Instructions text (accepts HTML) |
public | tgtId : String ID of main custom container element |

## Method Summary

Public Methods
public | destroy () Remove help UI |
public | init () Initialise Help instance |
public | toggle () Toggle help pop-up |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter) source

Creates an instance of Help

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance

## Public Members

### public btn: DOMElement source

Button DOM element

### public btnCssClass: String source

Css class for help button

### public btnHtml: String source

Custom help button HTML

### public btnText: String source

Help button text ('?')

### public cont: DOMElement source

Help container DOM element

### public contCssClass: String source

Css class for help container element

### public contTgtId: String source

ID of custom container element for instructions

### public defaultHtml: String source

Default HTML appended to instructions text

### public initialized: boolean source

#### Override:

Feature#initialized

### public instrHtml: String source

Instructions HTML

### public instrText: String source

Instructions text (accepts HTML)

### public tgtId: String source

ID of main custom container element

## Public Methods

### public destroy() source

Remove help UI

#### Override:

Feature#destroy

### public init() source

Initialise Help instance

#### Override:

Feature#init

### public toggle() source

Toggle help pop-up